Groovy 1.7.0

## org.codehaus.groovy.tools.shell.commands
Class InspectCommand

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.commands.InspectCommand

    class InspectCommand
    extends CommandSupport

The 'inspect' command.

version:
  $Id: InspectCommand.groovy 17536 2009-09-04 01:42:05Z glaforge $

author:
  Jason Dillon

Property Summary
`def` | `headless`
`def` | `lafInitialized`

Constructor Summary
`InspectCommand(Shell shell)`

Method Summary
`protected List` | `createCompletors()`
`Object` | `execute(List args)`

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getHistory, getImports, getVariables

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### headless

    def headless

### lafInitialized

    def lafInitialized

Constructor Detail

### InspectCommand

    public InspectCommand(Shell shell)

Method Detail

### createCompletors

    protected List createCompletors()

### execute

    Object execute(List args)

Copyright © 2003-2009 The Codehaus. All rights reserved.